libvisio::VSDTextField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDTextField:

## Public Member Functions

| VSDTextField (unsigned id, unsigned level, int nameId, int formatStringId)
| ~VSDTextField () override
void | handle (VSDCollector *collector) const override
VSDFieldListElement * | clone () override
librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &strVec, unsigned defaultUnit) override
void | setNameId (int nameId) override
void | setFormat (unsigned short) override
void | setCellType (unsigned short) override
void | setValue (double) override
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Attributes

unsigned | m_id
unsigned | m_level
int | m_nameId
int | m_formatStringId

## Constructor & Destructor Documentation

## VSDTextField()

libvisio::VSDTextField::VSDTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId )

inline

Referenced by clone().

## ~VSDTextField()

libvisio::VSDTextField::~VSDTextField | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDFieldListElement * libvisio::VSDTextField::clone | ( |  | ) |

override virtual

Implements libvisio::VSDFieldListElement.

## getString()

librevenge::RVNGString libvisio::VSDTextField::getString | ( | const std::map< unsigned, librevenge::RVNGString > & | strVec,
|  | unsigned | defaultUnit )

override virtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectTextField().

## handle()

void libvisio::VSDTextField::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDFieldListElement.

## setCellType()

void libvisio::VSDTextField::setCellType | ( | unsigned short |  | ) |

inline override virtual

Implements libvisio::VSDFieldListElement.

## setFormat()

void libvisio::VSDTextField::setFormat | ( | unsigned short |  | ) |

inline override virtual

Implements libvisio::VSDFieldListElement.

## setNameId()

void libvisio::VSDTextField::setNameId | ( | int | nameId | ) |

override virtual

Implements libvisio::VSDFieldListElement.

## setValue()

void libvisio::VSDTextField::setValue | ( | double |  | ) |

inline override virtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

## m_formatStringId

int libvisio::VSDTextField::m_formatStringId

private

Referenced by clone(), handle(), and VSDTextField().

## m_id

unsigned libvisio::VSDTextField::m_id

private

Referenced by clone(), handle(), and VSDTextField().

## m_level

unsigned libvisio::VSDTextField::m_level

private

Referenced by clone(), handle(), and VSDTextField().

## m_nameId

int libvisio::VSDTextField::m_nameId

private

Referenced by clone(), getString(), handle(), setNameId(), and VSDTextField().

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp